import {Button, Card, CardActions, CardContent, Typography} from "@mui/material";
import { CreateButton, DeleteButton, EditButton, ExportButton, ShowButton } from "react-admin";
import { useState } from "react";

export const FieldsWithCaptionsAboveCardTemplate = () => {

  /*vtl
  #if (!$card.itemsVariableName)
  const [cardData, setCardData] = useState<${card.itemType}>();
  #set($dataVariable = "cardData")
  #else
  #set($dataVariable = $card.itemsVariableName)
  #end
  */
  /*vtl #if (false)*/ useState(); /*vtl #end */

  return (
    <Card sx={{ minWidth: 275 }} /*vtl #if ($card.outlined) variant="outlined" #end */>
      <CardContent>
        {/*vtl #if($card.titleProperty) */}
        <Typography mb={2} variant="h4" component="div">
          {/*vtl {$dataVariable?.${card.titleProperty.name}} */}
        </Typography>
        {/*vtl #end */}
        {/*vtl #if($card.subTitleProperty) */}
        <Typography sx={{ mb: 1.5 }} color="text.secondary">
          {/*vtl {$dataVariable?.${card.subTitleProperty.name}} */}
        </Typography>
        {/*vtl #end */}
        {/*vtl #foreach($property in $card.itemProperties) */}
        {/*vtl #if (!$property.asTitle && !$property.asSubTitle) */}
        <Typography variant="caption">{/*vtl ${property.label} */}</Typography>
        <Typography mb={1} component="p">{/*vtl {$dataVariable?.${property.name}} */}</Typography>
        {/*vtl #end */}
        {/*vtl #end */}
      </CardContent>
      {/*vtl #if ($card.actions.size() > 0)*/}
      <CardActions>
        {/*vtl #foreach($action in $card.actions) */}
        {/*vtl #if($action.type == 'show') */}
        <ShowButton /*vtl label="$action.label"*/ /*vtl record={$dataVariable}*/ onClick={() => {alert('TODO: specify resource or implement custom show logic')}}/>
        {/*vtl #elseif ($action.type == 'edit') */}
        <EditButton /*vtl label="$action.label"*/ /*vtl record={$dataVariable}*/ onClick={() => {alert('TODO: specify resource or implement custom edit logic')}} />
        {/*vtl #elseif ($action.type == 'delete') */}
        <DeleteButton /*vtl label="$action.label"*/ /*vtl record={$dataVariable}*/ onClick={() => {alert('TODO: specify resource or implement custom delete logic')}} />
        {/*vtl #elseif ($action.type == 'custom') */}
        <Button onClick={() => {alert('TODO: implement custom action logic')}}>{/*vtl $action.label */}</Button>
        {/*vtl #end */}
        {/*vtl #end */}
      </CardActions>
      {/*vtl #end */}
    </Card>
  )
}